package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TSetting;

/**
 * 手环系统设置Mapper接口
 * 
 * @author zhengjie
 * @date 2023-09-22
 */
public interface TSettingMapper 
{
    /**
     * 查询手环系统设置
     * 
     * @param id 手环系统设置主键
     * @return 手环系统设置
     */
    public TSetting selectTSettingById(Integer id);

    /**
     * 查询手环系统设置列表
     * 
     * @param tSetting 手环系统设置
     * @return 手环系统设置集合
     */
    public List<TSetting> selectTSettingList(TSetting tSetting);

    /**
     * 新增手环系统设置
     * 
     * @param tSetting 手环系统设置
     * @return 结果
     */
    public int insertTSetting(TSetting tSetting);

    /**
     * 修改手环系统设置
     * 
     * @param tSetting 手环系统设置
     * @return 结果
     */
    public int updateTSetting(TSetting tSetting);

    /**
     * 删除手环系统设置
     * 
     * @param id 手环系统设置主键
     * @return 结果
     */
    public int deleteTSettingById(Integer id);

    /**
     * 批量删除手环系统设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSettingByIds(Integer[] ids);
}
